#include <bits/stdc++.h>
using namespace std;

struct Vaga {
    void unos() { cin >> l >> d; }

    int l, d;
};

int main(void) {

    ios_base::sync_with_stdio(0); cin.tie(0);

    int n, m;
    cin >> n >> m;

    Vaga vage[n];

    /* vector<int> sol; */

    for(int i=0; i<n; i++)
        vage[i].unos();

    int l, r, x;
    int br;
    for(int i=0; i<m; i++) {
        cin >> l >> r >> x;

        br = 0;
        for(int k = l - 1; k <= r - 1; k++) {
            if( x >= vage[k].l && x <= vage[k].d ) br++;
        }
        cout << br << '\n';

    }


    /* for(int& a : sol) cout << a << '\n'; */


    return 0;
}